io.agora.rtc.apm

## Class AIAecConfig

- java.lang.Object
- - io.agora.rtc.apm.AIAecConfig

-     public class AIAecConfig
      extends java.lang.Object

  AI Acoustic Echo Cancellation (AIAEC) configuration. Used for intelligent echo cancellation in audio processing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `enabled` Enable or disable AIAEC Default: false (disabled)
    `private int` | `splitSrateFor48k` Split sample rate for 48k audio Default: 16000

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AIAecConfig()` Default constructor for AIAecConfig.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSplitSrateFor48k()` Gets the split sample rate for 48k audio.
    `boolean` | `isEnabled()` Checks if AIAEC is enabled.
    `void` | `setEnabled(boolean enabled)` Sets whether AIAEC is enabled.
    `void` | `setSplitSrateFor48k(int splitSrateFor48k)` Sets the split sample rate for 48k audio.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          private boolean enabled

      Enable or disable AIAEC Default: false (disabled)

    - #### splitSrateFor48k

          private int splitSrateFor48k

      Split sample rate for 48k audio Default: 16000

  - ### Constructor Detail

    - #### AIAecConfig

          public AIAecConfig()

      Default constructor for AIAecConfig.

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Checks if AIAEC is enabled.
      Returns:
        true if enabled, false otherwise

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Sets whether AIAEC is enabled.
      Parameters:
        `enabled` - true to enable, false to disable

    - #### getSplitSrateFor48k

          public int getSplitSrateFor48k()

      Gets the split sample rate for 48k audio.
      Returns:
        Split sample rate

    - #### setSplitSrateFor48k

          public void setSplitSrateFor48k(int splitSrateFor48k)

      Sets the split sample rate for 48k audio.
      Parameters:
        `splitSrateFor48k` - Split sample rate

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`